fastlane documentation
----

# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```sh
xcode-select --install
```

For _fastlane_ installation instructions, see [Installing _fastlane_](https://docs.fastlane.tools/#installing-fastlane)

# Available Actions

## Android

### android test

```sh
[bundle exec] fastlane android test
```

Runs all the tests

### android apk

```sh
[bundle exec] fastlane android apk
```

Build a new APK

### android deploy

```sh
[bundle exec] fastlane android deploy
```

Deploy a new version to the Google Play

### android grab_screen_phone_1

```sh
[bundle exec] fastlane android grab_screen_phone_1
```

Grab phone screenshot 1

### android grab_screen_phone_2

```sh
[bundle exec] fastlane android grab_screen_phone_2
```

Grab phone screenshot 2

### android grab_screen_seven_inch_1

```sh
[bundle exec] fastlane android grab_screen_seven_inch_1
```

Grab seven inch screenshot 1

### android grab_screen_seven_inch_2

```sh
[bundle exec] fastlane android grab_screen_seven_inch_2
```

Grab seven inch screenshot 2

### android grab_screen_ten_inch_1

```sh
[bundle exec] fastlane android grab_screen_ten_inch_1
```

Grab ten inch screenshot 1

### android grab_screen_ten_inch_2

```sh
[bundle exec] fastlane android grab_screen_ten_inch_2
```

Grab ten inch screenshot 2

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.

More information about _fastlane_ can be found on [fastlane.tools](https://fastlane.tools).

The documentation of _fastlane_ can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
